Replay a webhook delivery

Re-queue a delivery for another send. The same event payload is delivered (so the X-TBMC-Webhook-Id dedupe id is unchanged); a new delivery record is created.

Path Parameters
  • id
    Type: string Format: uuid
    required
Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for post/api/v1/webhooks/deliveries/{id}/replay
curl https://api.bettermoney.com/api/v1/webhooks/deliveries/123e4567-e89b-12d3-a456-426614174000/replay \
  --request POST
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "accountId": "123e4567-e89b-12d3-a456-426614174000",
  "endpointId": "123e4567-e89b-12d3-a456-426614174000",
  "eventId": "string",
  "publicEventType": "payment_order",
  "status": "PENDING",
  "attemptSalt": -9007199254740991,
  "lastStatusCode": null,
  "lastError": null,
  "createdAt": "2026-09-08T20:57:50.022Z",
  "dispatchedAt": null,
  "deliveredAt": null,
  "failedAt": null
}